<?php
/**
 * The template for displaying the header
 *
 * Displays all of the head element and everything up until the "site-content" div.
 *
 * @package Longevity
 * 
 */
 
 
 $pagewidth = esc_attr(get_theme_mod( 'page_width', 'fullwidth' ) ) ;
 $preloader = esc_attr(get_theme_mod( 'show_preloader', 1 ) ) ;

 $logo_upload = get_option( 'logo_upload' );
 ?>
 
 
<!DOCTYPE html>
<html <?php language_attributes(); ?> class="no-js">
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="profile" href="http://gmpg.org/xfn/11">
	<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">
	<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>

<?php if( $preloader ) : ?>
<div class="preloader">
  <div class="spinner">
    <div class="double-bounce1"></div>
    <div class="double-bounce2"></div>
  </div>
</div>
<?php endif; ?>

<div id="page" class="hfeed site <?php echo $pagewidth ?>">
	<a class="skip-link screen-reader-text" href="#content"><?php esc_html_e( 'Skip to content', 'longevity' ); ?></a>    

<?php // Social links
	if ( has_nav_menu( 'social' ) ) :
		echo '<div id="topbar-social"><div id="social-wrapper"><nav class="social-menu" role="navigation">';		
			wp_nav_menu( array(
				'theme_location' => 'social',
				'depth'          => 1,
				'container'		 => false,
				'menu_class'     => 'social',
				'link_before'    => '<span class="screen-reader-text">',
				'link_after'     => '</span>',
			) );		
		echo '</nav></div></div>';
	else :		
		echo '<div id="topbar"></div>';		
	endif;          
	?>
  
<header id="masthead" class="site-header" role="banner">
    <div class="container">
    	<div class="row">
    		<div class="col-md-12 col-lg-5">  
                <div id="site-branding">
                    
                <?php if ( $logo_upload['logo'] ) : ?>
                    <div class="header-image">
                        <a href="<?php echo esc_url( home_url( '/' ) ); ?>" title="<?php echo esc_attr( get_bloginfo( 'title' ) ); ?> 
                        <?php echo esc_attr( get_bloginfo( 'description' ) ); ?>" 
                        rel="home"><img id="logo" src="<?php echo esc_url( $logo_upload['logo'] ); ?>" alt="<?php echo esc_attr( get_bloginfo( 'title' ) ); ?>"></a>    
                    </div>                
                <?php 
                    endif;            
                        // Site title & tagline
                        if( esc_attr(get_theme_mod( 'show_site_title', 1 ) ) ) {  
                            if ( is_front_page() && is_home() ) : ?>
                        <h1 class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h1>
                    <?php else : ?>
                        <h1 class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h1>
                    <?php endif;
                              }
                        if ( esc_attr(get_theme_mod( 'show_tagline', 1 ) ) ) : {
                            $description = get_bloginfo( 'description', 'display' );
                            if ( $description || is_customize_preview() ) : ?>
                        <h2 class="site-description"><?php echo $description; ?></h2>
                    <?php endif;				 		  		  
                    }
                    endif;
                ?>
                </div>        
      		</div>
            
          <div class="main-menu col-md-12 col-lg-7">
            
            <nav id="site-navigation" class="site-navigation primary-navigation" role="navigation">
              <div class="toggle-container visible-xs visible-sm hidden-md hidden-lg">
                <button class="menu-toggle"><?php esc_html_e( 'Menu', 'longevity' ); ?></button></div>
              
              <?php if ( has_nav_menu( 'primary' ) ) {																			
                        wp_nav_menu( array( 							
                            'theme_location' => 'primary', 
                            'menu_class' => 'nav-menu'
                                                        
                        ) ); } else {
                    
                        wp_nav_menu( array(															
                            'container' => '',
                            'menu_class' => '',
                            'title_li' => ''							
                            ));							
                       } 
                    ?>                    
              </nav>
            
          </div>
    	</div>
  </div>
</header>

<?php get_sidebar( 'banner' ); ?>

<div id="content" class="site-content">


