<?php
/**
 * Longevity Theme Customizer
 *
 * @package Longevity
 */
 
/* 
  * Lets add some custom buttons ui for our customizer
  * Start with loading scripts and styles.
  */

 function longevity_registers() {
    	wp_register_script( 'longevity_jquery_ui', get_template_directory_uri() . '/js/jquery-ui.min.js', array("jquery"), '1.11.4', true  );
	wp_enqueue_script( 'longevity_jquery_ui' );
	wp_register_style( 'longevity_jquery_ui_css', get_template_directory_uri() . '/css/jquery-ui.min.css');
	wp_enqueue_style( 'longevity_jquery_ui_css' );
	wp_register_script( 'longevity_customizer_script', get_template_directory_uri() . '/js/longevity_customizer.js', array("jquery","longevity_jquery_ui"), '20120206', true  );
	wp_enqueue_script( 'longevity_customizer_script' );
	
	/* label our buttons */
	wp_localize_script( 'longevity_customizer_script', 'objectL10n', array(
				
		'documentation' => esc_html__( 'Setup Tutorials', 'longevity' ),
		'review' => esc_html__('Rate this Theme','longevity'),
		'support' => esc_html__('Support','longevity'),
		'pro' => esc_html__('View Longevity Pro version','longevity'),
		
	) );
}
add_action( 'customize_controls_enqueue_scripts', 'longevity_registers' ); 
 

function longevity_customize_register( $wp_customize ) {
	
// Lets make some changes to the default Wordpress sections and controls

  	$wp_customize->remove_control('display_header_text');
  	$wp_customize->remove_control('header_textcolor');

// Setting group to show the site title  
  	$wp_customize->add_setting( 'show_site_title',
    array(
      'default' => 1,
      'sanitize_callback' => 'longevity_sanitize_checkbox'
    ) );  
  $wp_customize->add_control( 'show_site_title', array(
    'type'     => 'checkbox',
    'priority' => 1,
    'label'    => esc_html__( 'Show Site Title', 'longevity' ),
    'section'  => 'title_tagline',
  ) );

// Setting group to show the tagline  
  $wp_customize->add_setting( 'show_tagline',
    array(
      'default' => 1,
      'sanitize_callback' => 'longevity_sanitize_checkbox'
    ) );  
  $wp_customize->add_control( 'show_tagline', array(
    'type'     => 'checkbox',
    'priority' => 2,
    'label'    => esc_html__( 'Show Tagline', 'longevity' ),
    'section'  => 'title_tagline',
  ) );
  
// Setting group to show the tagline 
	$wp_customize->add_setting('logo_upload[logo]', array(
        'default'           => '',
        'capability'        => 'edit_theme_options',
        'type'           	=> 'option',
		'sanitize_callback' => 'esc_url_raw',
    ));
	
    $wp_customize->add_control( new WP_Customize_Image_Control($wp_customize, 'site_logo', array(
        'label'    => esc_html__('Your Logo', 'longevity'),
        'section'  => 'title_tagline',
        'settings' => 'logo_upload[logo]',
		'priority' => 3,
    )));		

/*
 * Colours Section
 */
 
 // Setting group for colour scheme 
$wp_customize->add_setting(  'colour_scheme',  array(
        	'default' => 'default',
		'sanitize_callback' => 'longevity_sanitize_colour_scheme',
    ) ) ;
 
$wp_customize->add_control( 'colour_scheme',  array(
	'type' => 'select',
	'label' => esc_html__( 'Colour Scheme', 'longevity' ),
	'section' => 'colors',
	'priority' => 1,
	'choices' => array(
		'default'      	=> esc_html__( 'Default', 'longevity' ),
		'grey'          		=> esc_html__( 'Grey', 'longevity' ),
		'burgandy' 	=> esc_html__( 'Burgandy', 'longevity' ),
		'green'       		=> esc_html__( 'Green', 'longevity' ),
		'yellow'       	=> esc_html__( 'Yellow', 'longevity' ),
        ) ) ) ;
 
/*
 * Site Options Section
 */    
$wp_customize->add_section( 'site_options', array(
	'title' => esc_html__( 'Site Options', 'longevity' ),
	'priority'       => 81,
	) ); 




// Setting group for page width 
  $wp_customize->add_setting( 'page_width', array(
      'default' => 'fullwidth',
      'sanitize_callback' => 'longevity_sanitize_page_width',
    ) );  
	$wp_customize->add_control( 'page_width', array(
		  'type' => 'radio',
		  'label' => esc_html__( 'Page Width', 'longevity' ),
		  'section' => 'site_options',
		  'priority' => 2,
		  'choices' => array(
			  'fullwidth' 	=> esc_html__( 'Full Width', 'longevity' ),
			  'boxed1920' => esc_html__( 'Boxed 1920px Width', 'longevity' ),
			  'boxed1600' => esc_html__( 'Boxed 1600px Width', 'longevity' ),
			  'boxed1400' => esc_html__( 'Boxed 1400px Width', 'longevity' ),
	) ) );

 // Setting group to show the banner curve  
  	$wp_customize->add_setting( 'show_curve',  array(
		'default' => 1,
		'sanitize_callback' => 'longevity_sanitize_checkbox'
    ) );  
  $wp_customize->add_control( 'show_curve', array(
		'type'     => 'checkbox',
		'priority' => 4,
		'label'    => esc_html__( 'Show Banner Curve', 'longevity' ),
		'section'  => 'site_options',
  	) ); 
	
// Setting group to choose curve size  
  $wp_customize->add_setting( 'fplg_curve',	array(
  		'default' => 1,
		'sanitize_callback' => 'longevity_sanitize_checkbox'
	) );  
  $wp_customize->add_control( 'fplg_curve', array(
		'type'     => 'checkbox',
		'priority' => 5,
		'label'    => esc_html__( 'Use Large Banner Curve  on Front Page', 'longevity' ),
		'section'  => 'site_options',
  	) );
	
// Setting group to choose curve size  
  $wp_customize->add_setting( 'lg_curve',	array(
  		'default' => 0,
		'sanitize_callback' => 'longevity_sanitize_checkbox'
	) );  
  $wp_customize->add_control( 'lg_curve', array(
		'type'     => 'checkbox',
		'priority' => 6,
		'label'    => esc_html__( 'Use Large Banner Curve  on Pages', 'longevity' ),
		'section'  => 'site_options',
  	) );
	
// Setting group for the preloader 
	$wp_customize->add_setting( 'show_preloader', array(
		'default' => 1,
		'sanitize_callback' => 'longevity_sanitize_checkbox',
	) );  
	$wp_customize->add_control( 'show_preloader', array(
		'type'     => 'checkbox',
		'priority' => 7,
		'label'    => esc_html__( 'Show the Preloader', 'longevity' ),
		'section'  => 'site_options',
	) );   

	
// Setting group for a Copyright
	$wp_customize->add_setting( 'copyright', array(
		'default'        => esc_html__( 'Your Name', 'longevity'),
		'sanitize_callback' => 'longevity_sanitize_text',
	) );
	$wp_customize->add_control( 'copyright', array(
		'settings' => 'copyright',
		'label'    => esc_html__( 'Your Copyright Name', 'longevity' ),
		'section'  => 'site_options',		
		'type'     => 'text',
		'priority' => 8,
	) );

/*
 * Blog Options
 */  
  $wp_customize->add_section( 'blog_options',
    array(
      'title' => esc_html__( 'Blog Options', 'longevity' ),
	  'priority' => 82,
    )
  ); 
 

// Setting group for blog style  
  $wp_customize->add_setting( 'blog_style', array(
      'default' => 'blog-lg-right',
      'sanitize_callback' => 'longevity_sanitize_blog_style',
    ) );  
	$wp_customize->add_control( 'blog_style', array(
		  'type' => 'radio',
		  'label' => esc_html__( 'Blog Style', 'longevity' ),
		  'section' => 'blog_options',
		  'priority' => 2,
		  'choices' => array(			  
			  'blog-lg-right' 	=> esc_html__( 'Large Featured Image Right', 'longevity' ),
			  'blog-lg-left' 		=> esc_html__( 'Large Featured Image Left', 'longevity' ),
			  'blog-sm-right' 	=> esc_html__( 'Small Featured Image Right', 'longevity' ),
			  'blog-sm-left' 	=> esc_html__( 'Small Featured Image Left', 'longevity' ),
	) ) );

// Setting group for blog style  
  $wp_customize->add_setting( 'single_style', array(
      'default' => 'single-right',
      'sanitize_callback' => 'longevity_sanitize_single_style',
    ) );  
	$wp_customize->add_control( 'single_style', array(
		  'type' => 'radio',
		  'label' => esc_html__( 'Single (full) Post Style', 'longevity' ),
		  'section' => 'blog_options',
		  'priority' => 3,
		  'choices' => array(			  
			  'single-right' => esc_html__( 'Single with Right Sidebar', 'longevity' ),
			  'single-left' 	=> esc_html__( 'Single with Left Sidebar', 'longevity' ),
			  'single' 		=> esc_html__( 'Single without Left &amp; Right Sidebar', 'longevity' ),
	) ) );

// Setting for content or excerpt
	$wp_customize->add_setting( 'excerpt_content', array(
		'default' 				=> 'excerpt',
		'sanitize_callback' 	=> 'longevity_sanitize_excerpt',
	) );
// Control for Content or excerpt
	$wp_customize->add_control( 'excerpt_content', array(
    'label'   	=> esc_html__( 'Content or Excerpt', 'longevity' ),
    'section' => 'blog_options',
    'type'    	=> 'radio',
        'choices' 		=> array(
            'content' 	=> esc_html__( 'Content', 'longevity' ),
            'excerpt' 	=> esc_html__( 'Excerpt', 'longevity' ),	
        ),
	'priority'       => 4,
    ));

// Setting for content or excerpt for the image post format
	$wp_customize->add_setting( 'excerpt_content_image', array(
		'default' => 'excerpt',
		'sanitize_callback' => 'longevity_sanitize_excerpt_image',
	) );
// Control for Content or excerpt
	$wp_customize->add_control( 'excerpt_content_image', array(
    'label'   => esc_html__( 'Content or Excerpt for Image Post Format', 'longevity' ),
    'section' => 'blog_options',
    'type'    => 'radio',
        'choices' => array(
            'content' => esc_html__( 'Content', 'longevity' ),
            'excerpt' => esc_html__( 'Excerpt', 'longevity' ),	
        ),
	'priority'       => 5,
    ));
// Setting group for a excerpt
	$wp_customize->add_setting( 'excerpt_limit', array(
		'default'        => '50',
		'sanitize_callback' => 'longevity_sanitize_number',
	) );
	$wp_customize->add_control( 'excerpt_limit', array(
		'settings' => 'excerpt_limit',
		'label'    => esc_html__( 'Excerpt Length', 'longevity' ),
		'section'  => 'blog_options',
		'type'     => 'text',
		'priority'   => 6,
	) );
		  
// Setting group to show the edit links  
  $wp_customize->add_setting( 'show_edit',
    array(
      'default' => 1,
      'sanitize_callback' => 'longevity_sanitize_checkbox',
    ) );  
  $wp_customize->add_control( 'show_edit', array(
    'type'     => 'checkbox',
    'priority' => 7,
    'label'    => esc_html__( 'Show Edit Link', 'longevity' ),
    'section'  => 'blog_options',
  ) );
  
// Setting group to show the categories  
  $wp_customize->add_setting( 'show_categories',
    array(
      'default' => 1,
      'sanitize_callback' => 'longevity_sanitize_checkbox',
    ) );  
  $wp_customize->add_control( 'show_categories', array(
    'type'     => 'checkbox',
    'priority' => 8,
    'label'    => esc_html__( 'Show Categories in Summary', 'longevity' ),
    'section'  => 'blog_options',
  ) );
  
// Setting group to show the categories  
  $wp_customize->add_setting( 'show_single_categories',
    array(
      'default' => 1,
      'sanitize_callback' => 'longevity_sanitize_checkbox',
    )
  );  
  $wp_customize->add_control( 'show_single_categories', array(
    'type'     => 'checkbox',
    'priority' => 9,
    'label'    => esc_html__( 'Show Categories on Full Post', 'longevity' ),
    'section'  => 'blog_options',
  ) );  
  
// Setting group to show the date  
  $wp_customize->add_setting( 'show_posted_date',
    array(
      'default' => 1,
      'sanitize_callback' => 'longevity_sanitize_checkbox',
    )
  );  
  $wp_customize->add_control( 'show_posted_date', array(
    'type'     => 'checkbox',
    'priority' => 10,
    'label'    => esc_html__( 'Show Posted Date', 'longevity' ),
    'section'  => 'blog_options',
  ) );

// Setting group to show tags  
  $wp_customize->add_setting( 'show_tags_list',
    array(
      'default' => 1,
      'sanitize_callback' => 'longevity_sanitize_checkbox',
    )
  );  
  $wp_customize->add_control( 'show_tags_list', array(
    'type'     => 'checkbox',
    'priority' => 11,
    'label'    => esc_html__( 'Show Tags', 'longevity' ),
    'section'  => 'blog_options',
  ) );

// Setting group to show share buttons  
  $wp_customize->add_setting( 'show_single_thumbnail',
    array(
      'default' => 1,
      'sanitize_callback' => 'longevity_sanitize_checkbox',
    )
  );  
  $wp_customize->add_control( 'show_single_thumbnail', array(
    'type'     => 'checkbox',
    'priority' => 12,
    'label'    => esc_html__( 'Show Featured Image on Full Post', 'longevity' ),
    'section'  => 'blog_options',
  ) );

// Setting group to show published by  
  $wp_customize->add_setting( 'show_post_author',
    array(
      'default' => 1,
      'sanitize_callback' => 'longevity_sanitize_checkbox',
    )
  ); 
  $wp_customize->add_control( 'show_post_author', array(
    'type'     => 'checkbox',
    'priority' => 13,
    'label'    => esc_html__( 'Show Post Author', 'longevity' ),
    'section'  => 'blog_options',
  ) );
  

// Setting group for the sticky post title  
  $wp_customize->add_setting( 'sticky_post_label',
    array(
      'default' => '',
      'sanitize_callback' => 'longevity_sanitize_text'
    )
  );  
  $wp_customize->add_control( 'sticky_post_label', array(
    'type'        => 'text',
    'priority'    => 14,
    'label'       => esc_html__( 'Sticky Post Label', 'longevity' ),
    'section'     => 'blog_options',
    'description' => esc_html__( 'Default: Featured', 'longevity' )
   ) );
   
// Setting group for the read more link  
  $wp_customize->add_setting( 'custom_readmore',
    array(
      'default' => '',
      'sanitize_callback' => 'longevity_sanitize_text'
    )
  );  
  $wp_customize->add_control( 'custom_readmore', array(
    'type'        => 'text',
    'priority'    => 15,
    'label'       => esc_html__( 'Read More Label', 'longevity' ),
    'section'     => 'blog_options',
    'description' => esc_html__( 'Default: Read More', 'longevity' ),
   ) );




   
  /*
   * Typography
   * Reserved for future typography options
   */
  $wp_customize->add_section( 'typography_options',
    array(
      'title' => esc_html__( 'Typography', 'longevity' ),
	  'priority' => 83,
    )
  );
  


  /*
   * Nav section
   * Additional options added
   */

// Setting group for the main menu top margin 
	$wp_customize->add_setting( 'menu_margin', array(
		'default'        => '5',
		'sanitize_callback' => 'longevity_sanitize_text',
	) );
	$wp_customize->add_control( 'menu_margin', array(
		'settings' => 'menu_margin',
		'label'    => esc_html__( 'Main Menu Top Margin', 'longevity' ),
		'section'  => 'nav',		
		'type'     => 'text',
		'priority' => 10,
	) );





 

}
add_action( 'customize_register', 'longevity_customize_register' );




/**
 * This is our theme sanitization settings.
 * Remember to sanitize any additional theme settings you add to the customizer.
 */
 
	
// adds sanitization callback function for the page width : radio
	function longevity_sanitize_page_width( $input ) {
		$valid = array(
			  'fullwidth' => esc_html__( 'Full Width', 'longevity' ),
			  'boxed1920' => esc_html__( 'Boxed 1920px Width', 'longevity' ),
			  'boxed1600' => esc_html__( 'Boxed 1600px Width', 'longevity' ),
			  'boxed1400' => esc_html__( 'Boxed 1400px Width', 'longevity' ),
		);
	 
		if ( array_key_exists( $input, $valid ) ) {
			return $input;
		} else {
			return '';
		}
	}
	
// adds sanitization callback function for the blog style : radio
	function longevity_sanitize_blog_style( $input ) {
		$valid = array(
			  'blog-lg-right' => esc_html__( 'Large Featured Image Right', 'longevity' ),
			  'blog-lg-left' => esc_html__( 'Large Featured Image Left', 'longevity' ),
			  'blog-sm-right' => esc_html__( 'Small Featured Image Right', 'longevity' ),
			  'blog-sm-left' => esc_html__( 'Small Featured Image Left', 'longevity' ),
		);
	 
		if ( array_key_exists( $input, $valid ) ) {
			return $input;
		} else {
			return '';
		}
	}
	
// adds sanitization callback function for the single style : radio
	function longevity_sanitize_single_style( $input ) {
		$valid = array(
			  'single-right' => esc_html__( 'Single with Right Sidebar', 'longevity' ),
			  'single-left' => esc_html__( 'Single with Left Sidebar', 'longevity' ),
			  'single' => esc_html__( 'Single without Left &amp; Right Sidebar', 'longevity' ),
		);
	 
		if ( array_key_exists( $input, $valid ) ) {
			return $input;
		} else {
			return '';
		}
	}	
	
// adds sanitization callback function for the excerpt : radio
	function longevity_sanitize_excerpt( $input ) {
		$valid = array(
			'content' => esc_html__( 'Content', 'longevity' ),
			'excerpt' => esc_html__( 'Excerpt', 'longevity' ),
		);
	 
		if ( array_key_exists( $input, $valid ) ) {
			return $input;
		} else {
			return '';
		}
	}	
// adds sanitization callback function for the excerpt on the image post format : radio
	function longevity_sanitize_excerpt_image( $input ) {
		$valid = array(
			'content' => esc_html__( 'Content', 'longevity' ),
			'excerpt' => esc_html__( 'Excerpt', 'longevity' ),
		);
	 
		if ( array_key_exists( $input, $valid ) ) {
			return $input;
		} else {
			return '';
		}
	}	
		
// adds sanitization callback function for background size
if ( ! function_exists( 'longevity_sanitize_background_size' ) ) :
  function longevity_sanitize_background_size( $value ) {
    $background_sizes = array( 'auto', 'cover', 'contain' );
    if ( ! in_array( $value, $background_sizes ) ) {
      $value = 'cover';
    }

    return $value;
  }
endif;

// adds sanitization callback function : textarea
if ( ! function_exists( 'longevity_sanitize_textarea' ) ) :
  function longevity_sanitize_textarea( $value ) {
    if ( !current_user_can('unfiltered_html') )
			$value  = stripslashes( wp_filter_post_kses( addslashes( $value ) ) ); // wp_filter_post_kses() expects slashed

    return $value;
  }
endif;

// adds sanitization callback function for numeric data : number
if ( ! function_exists( 'longevity_sanitize_number' ) ) :
	function longevity_sanitize_number( $value ) {
		$value = (int) $value; // Force the value into integer type.
		return ( 0 < $value ) ? $value : null;
	}
endif;

// adds sanitization callback function : colors
if ( ! function_exists( 'longevity_sanitize_hex_colour' ) ) :
	function longevity_sanitize_hex_colour( $color ) {
		if ( $unhashed = sanitize_hex_color_no_hash( $color ) )
			return '#' . $unhashed;
	
		return $color;
	}
endif;

// adds sanitization callback function : text 
if ( ! function_exists( 'longevity_sanitize_text' ) ) :
	function longevity_sanitize_text( $input ) {
		return wp_kses_post( force_balance_tags( $input ) );
	}
endif;

// adds sanitization callback function : url
if ( ! function_exists( 'longevity_sanitize_url' ) ) :
	function longevity_sanitize_url( $value) {
		$value = esc_url( $value);
		return $value;
	}
endif;

// adds sanitization callback function : checkbox
if ( ! function_exists( 'longevity_sanitize_checkbox' ) ) :
	function longevity_sanitize_checkbox( $input ) {
		if ( $input == 1 ) {
			return 1;
		} else {
			return '';
		}
	}	 
endif;

// adds sanitization callback function : absolute integer
if ( ! function_exists( 'longevity_sanitize_integer' ) ) :
function longevity_sanitize_integer( $input ) {
	return absint( $input );
}
endif;



// adds sanitization callback function : range slider
if ( ! function_exists( 'longevity_sanitize_rangeslider' ) ) :
  function longevity_sanitize_rangeslider( $value ) {
    if ( is_numeric( $value ) && $value >= 0 && $value <= 1 )
      return $value;

    return 0.5;
  }
endif;

if ( ! function_exists( 'longevity_sanitize_opacity' ) ) :
// adds sanitization callback for opacity
  function longevity_sanitize_opacity( $value ) {
    if ( is_numeric( $value ) && $value >= 0 && $value <= 1 )
      return $value;

    return 0.75;
  }
endif;


// adds sanitization callback function for uploading : uploader
if ( ! function_exists( 'longevity_sanitize_upload' ) ) :
	add_filter( 'longevity_sanitize_image', 'longevity_sanitize_upload' );
	add_filter( 'longevity_sanitize_file', 'longevity_sanitize_upload' );
	
	function longevity_sanitize_upload( $input ) {        
			$output = '';        
			$filetype = wp_check_filetype($input);       
			if ( $filetype["ext"] ) {        
					$output = $input;        
			}       
			return $output;
	}
endif;




// adds sanitization callback function for uploading : select
function longevity_sanitize_colour_scheme( $input ) {
    $valid = array(
		'default'      	=> esc_html__( 'Default', 'longevity' ),
		'grey'          	=> esc_html__( 'Grey', 'longevity' ),
		'burgandy' 	=> esc_html__( 'Burgandy', 'longevity' ),
		'green'       	=> esc_html__( 'Green', 'longevity' ),
		'yellow'       	=> esc_html__( 'Yellow', 'longevity' ),
    );
 
    if ( array_key_exists( $input, $valid ) ) {
        return $input;
    } else {
        return '';
    }
}



















?>